{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "from core import Core\n",
    "\n",
    "core = Core(\n",
    "    whisper_model_name = \"large-v3\",\n",
    "    use_chatgpt_placeholder = False\n",
    ")\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "core.set_order_settings(\n",
    "    phone_number = \"123456789\",\n",
    "    order_items = \"2x margherita\\n3x sos czosnkowy\\n2x pepsi 1.5l\",\n",
    "    delivery_address = \"ulica Kielecka 16A, Opole\",\n",
    "    payment_method = \"gotówka\"\n",
    ")\n",
    "\n",
    "core.set_speech_recog_settings(\n",
    "    speech_recog_timeout = 2.5,\n",
    "    audio_input_device_name = \"Virtual\",\n",
    "    audio_output_device_name = \"placeholder\",\n",
    "    window_size_sec = 0.1,\n",
    "    vad_threshold = 0.6,\n",
    "    min_silence_duration_ms = 150,\n",
    "    speech_pad_ms = 0\n",
    ")\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "core.set_tts_settings(\n",
    "    speaker_wav = \"voices/lector.wav\"\n",
    ")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "try:\n",
    "    core.assistant_start()\n",
    "except (KeyboardInterrupt, SystemExit):\n",
    "    core.assistant_stop()"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.11.6"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
